<?php

/*------------------------------------------------------------------------
  Solidres - Hotel booking extension for Joomla
  ------------------------------------------------------------------------
  @Author    Solidres Team
  @Website   http://www.solidres.com
  @Copyright Copyright (C) 2013 - 2017 Solidres. All Rights Reserved.
  @License   GNU General Public License version 3, or later
------------------------------------------------------------------------*/


class JFormFieldFilterByDistance extends JFormField
{
	protected $type = 'FilterByDistance';

	public static function getFilterInput($id, $name, $value, $callBack = 'srSlider')
	{
		SRHtml::_('jquery.ui');
		$value = preg_replace('/[^0-9\-]/', '', empty($value) ? '0-0' : $value);
		JFactory::getDocument()
			->addStyleSheet(SRURI_MEDIA . '/assets/js/jquery/ui/widgets/slider.min.css')
			->addScript(SRURI_MEDIA . '/assets/js/jquery/ui/widgets/slider.min.js')
			->addStyleDeclaration('
				.sr-range-distance {margin: 15px 0}
				.sr-range-distance input, #' . $id . '-range {max-width: 100%}
				.sr-range-distance input{border-radius: 16px; background-color: #fff; text-align: center; box-sizing: border-box}
			')
			->addScriptDeclaration('Solidres.jQuery(document).ready(function($){
			var slider = function(value){
				var range = $("#' . $id . '-range");
				var input = $("#' . $id . '");				
				input.val(value);				
				range.slider({
					range: true,
				    min: 0,
				    max: 100,
				    values: value.split("-"),
				    slide: function(event, ui){
				        if(ui.values[0] + 5 >= ui.values[1]){
				            return false;
				        }
				         input.val(ui.values[0] + " - " + ui.values[1]);
				    },
				    stop: function(event, ui){
				        if(input.val() != value){
				            value = input.val();
				        input.trigger("change");
				    }	    
				    }
				});
			};
			
			slider("' . $value . '");
			window.' . $callBack . ' = slider;
		});');

		return '<div class="sr-range-distance exp_filter"><input name="' . $name . '" type="text" id="' . $id . '" readonly/>'
			. '<div id="' . $id . '-range"></div></div>';
	}

	public function getInput()
	{
		return self::getFilterInput($this->id, $this->name, empty($this->value[0]) ? '0-0' : $this->value[0]);
	}
}