<?php
/*------------------------------------------------------------------------
Solidres - Hotel booking extension for Joomla
------------------------------------------------------------------------
@Author    Solidres Team
@Website   http://www.solidres.com
@Copyright Copyright (C) 2013 - 2017 Solidres. All Rights Reserved.
@License   GNU General Public License version 3, or later
------------------------------------------------------------------------*/

defined('_JEXEC') or die;
extract($displayData);
?>

<h3><?php echo JText::_('SR_ROOM_AND_RATE_INFORMATION') ?></h3>

<table class="table table-bordered">
<tbody>
<?php
// Room cost
$extraList = array();
foreach ($displayData['roomTypes'] as $roomTypeId => $roomTypeDetails) :
    foreach ($roomTypeDetails['rooms'] as $tariffId => $roomDetails) :
        foreach ($roomDetails as $roomIndex => $cost) :
            $hasDiscount = false;
            if ($cost['currency']['total_discount'] > 0) :
                $hasDiscount = true;
            endif;

            $roomInfo = $displayData['reservationDetails']->room['room_types'][$roomTypeId][$tariffId][$roomIndex];

            // Build a per room extra list array
            if (isset($roomInfo['extras']) && is_array($roomInfo['extras'])) :
                foreach ($roomInfo['extras'] as $extraItemKey => $extraItemDetails) :
                    $extraList[$roomTypeId][$tariffId][$roomIndex]['extras'][$extraItemKey]['room_type_name'] = $roomTypeDetails['name'];
                    $extraList[$roomTypeId][$tariffId][$roomIndex]['extras'][$extraItemKey]['name'] = $extraItemDetails['name'];
                    $extraList[$roomTypeId][$tariffId][$roomIndex]['extras'][$extraItemKey]['quantity'] =  $extraItemDetails['quantity'];
                    $extraList[$roomTypeId][$tariffId][$roomIndex]['extras'][$extraItemKey]['currency'] = clone $displayData['currency'];
                    $extraList[$roomTypeId][$tariffId][$roomIndex]['extras'][$extraItemKey]['currency']->setValue($extraItemDetails['total_extra_cost_tax_excl']);
                    $extraList[$roomTypeId][$tariffId][$roomIndex]['extras'][$extraItemKey]['currency_tax'] = clone $displayData['currency'];
                    $extraList[$roomTypeId][$tariffId][$roomIndex]['extras'][$extraItemKey]['currency_tax']->setValue($extraItemDetails['total_extra_cost_tax_incl'] - $extraItemDetails['total_extra_cost_tax_excl']);
                endforeach;
            endif;
            ?>
            <tr>
                <td>
                    <?php echo JText::_('SR_ROOM') . ': ' ?>
                    <?php echo $roomTypeDetails["name"] ?>
                    <a href="javascript:void(0)" class="toggle_room_confirmation" data-target="<?php echo $roomTypeId ?>_<?php echo $tariffId ?>_<?php echo $roomIndex ?>">
                        <?php echo JText::_('SR_CONFIRMATION_ROOM_DETAILS') ?>
                    </a>
                    <p><?php echo !empty($cost['currency']['title']) ? '(' . $cost['currency']['title'] . ')' : ''  ?></p>
                    <ul id="rc_<?php echo $roomTypeId ?>_<?php echo $tariffId ?>_<?php echo $roomIndex ?>_guestinfo" style="display: none">
                        <?php if (!empty($roomInfo['guest_fullname'])) : ?>
                        <li><?php echo JText::_('SR_CONFIRMATION_GUEST_NAME') . ': ' . $roomInfo['guest_fullname']?></li>
                        <?php endif; ?>
                        <li><?php echo JText::_('SR_CONFIRMATION_ADULT_NUMBER') . ': ' . (isset($roomInfo['adults_number']) ? $roomInfo['adults_number'] : 0) ?></li>
                        <?php if (!empty($roomInfo['children_number'])) : ?>
                        <li><?php echo JText::_('SR_CONFIRMATION_CHILD_NUMBER') . ': ' . $roomInfo['children_number'] ?></li>
                        <?php endif ?>
                    </ul>
                </td>
                <td>
                    <?php
                    if (0 == $displayData['booking_type']) :
                        echo JText::plural("SR_NIGHTS", $displayData['stay_length']);
                    else :
                        echo JText::plural("SR_DAYS", $displayData['stay_length'] + 1);
                    endif;
                    ?>
                </td>
                <td class="sr-align-right">
                    <?php echo $cost['currency']['total_price_tax_excl_formatted']->format(); ?>
                </td>
            </tr>
        <?php
        endforeach;
    endforeach;
endforeach;

// Total room cost
$showRoomTax   = 0;
if (isset($displayData['reservationDetails']->asset_params['show_room_tax_confirmation'])) :
    $showRoomTax = $displayData['reservationDetails']->asset_params['show_room_tax_confirmation'];
endif;
$totalRoomCost = new SRCurrency($displayData['cost']['total_price_tax_' . ($showRoomTax ? 'excl' : 'incl' )], $displayData['reservationDetails']->currency_id);
?>

<tr class="nobordered first">
    <td colspan="2" class="sr-align-right">
        <?php echo JText::_("SR_TOTAL_ROOM_COST_TAX_" . ($showRoomTax ? 'EXCL' : 'INCL' )) ?>
    </td>
    <td class="sr-align-right noleftborder">
        <?php echo $totalRoomCost->format() ?>
    </td>
</tr>

<?php
// In case of pre tax discount
if ($displayData['cost']['total_discount'] > 0 && $displayData['isDiscountPreTax']) :
    $totalDiscount = new SRCurrency($displayData['cost']['total_discount'], $displayData['reservationDetails']->currency_id);
    ?>
    <tr class="nobordered">
        <td colspan="2" class="sr-align-right">
            <?php echo JText::_("SR_TOTAL_DISCOUNT") ?>
        </td>
        <td class="sr-align-right noleftborder">
            <?php echo '-' . $totalDiscount->format() ?>
        </td>
    </tr>
<?php
endif;

// Imposed taxes
if ($showRoomTax) :
$taxItem = new SRCurrency($displayData['cost']['tax_amount'], $displayData['reservationDetails']->currency_id);
?>
    <tr class="nobordered">
        <td colspan="2" class="sr-align-right">
            <?php echo JText::_('SR_TOTAL_ROOM_TAX') ?>
        </td>
        <td class="sr-align-right noleftborder">
            <?php echo $taxItem->format() ?>
        </td>
    </tr>
<?php
endif;

// In case of after tax discount
if ($displayData['cost']['total_discount'] > 0 && !$displayData['isDiscountPreTax']) :
    $totalDiscount = new SRCurrency($displayData['cost']['total_discount'], $displayData['reservationDetails']->currency_id);
    ?>
    <tr class="nobordered">
        <td colspan="2" class="sr-align-right">
            <?php echo JText::_("SR_TOTAL_DISCOUNT") ?>
        </td>
        <td class="sr-align-right noleftborder">
            <?php echo '-' . $totalDiscount->format() ?>
        </td>
    </tr>
<?php
endif;

// Per room extra list
if (!empty($extraList)) :
    foreach ($extraList as $extraRoomTypeId => $extraRoomTypeTariffs) :
        foreach ($extraRoomTypeTariffs as $extraTariffId => $extraRooms) :
            foreach ($extraRooms as $extraRoomIndex => $extraRoomExtras) :
                foreach ($extraRoomExtras as $extraRoomExtraKey => $extraRoomExtraDetails) :
                    foreach ($extraRoomExtraDetails as $extraRoomExtraId => $extraRoomExtraIdDetails) :
?>
    <tr class="extracost_confirmation" style="display: none">
        <td>
            <p>
                <?php echo JText::_('SR_EXTRA') . ': ' ?><?php echo $extraRoomExtraIdDetails['name'] ?>
            </p>
            <p>
                <?php echo JText::_('SR_ROOM') . ': ' ?><?php echo $extraRoomExtraIdDetails['room_type_name'] ?>
            </p>
        </td>
        <td>
            <?php echo $extraRoomExtraIdDetails['quantity'] ?>
        </td>
        <td class="sr-align-right ">
            <?php echo $extraRoomExtraIdDetails['currency']->format() ?>
        </td>
    </tr>
<?php
                    endforeach;
                endforeach;
            endforeach;
        endforeach;
    endforeach;
endif;

// Per booking extra list
$perBookingExtraList = isset($displayData['reservationDetails']->guest['extras']) ? $displayData['reservationDetails']->guest['extras'] : array();

foreach ($perBookingExtraList as  $perBookingExtraId => $perBookingExtraDetails ) :
?>
    <tr class="extracost_confirmation" style="display: none">
        <td>
            <p>
                <?php echo JText::_('SR_EXTRA') . ': ' ?><?php echo $perBookingExtraDetails['name'] ?>
            </p>
            <p>
                <?php echo JText::_('SR_EXTRA_PER_BOOKING') ?>
            </p>
        </td>
        <td>
            <?php echo $perBookingExtraDetails['quantity'] ?>
        </td>
        <td class="sr-align-right ">
            <?php
            $perBookingExtraCurrency = clone $displayData['currency'];
            $perBookingExtraCurrency->setValue($perBookingExtraDetails['total_extra_cost_tax_excl']);
            $perBookingExtraCurrencyTax = clone $displayData['currency'];
            $perBookingExtraCurrencyTax->setValue($perBookingExtraDetails['total_extra_cost_tax_incl'] - $perBookingExtraDetails['total_extra_cost_tax_excl']);
            ?>
            <?php echo $perBookingExtraCurrency->format() ?>
        </td>
    </tr>
<?php
endforeach;

// Extra cost
$totalExtraCostTaxExcl = new SRCurrency($displayData['totalRoomTypeExtraCostTaxExcl'], $displayData['reservationDetails']->currency_id);
$totalExtraCostTaxAmount = new SRCurrency($displayData['totalRoomTypeExtraCostTaxIncl'] - $displayData['totalRoomTypeExtraCostTaxExcl'], $displayData['reservationDetails']->currency_id);

if ($totalExtraCostTaxExcl->getValue() > 0) :
?>
<tr class="nobordered extracost_row">
    <td colspan="2" class="sr-align-right">
        <a href="javascript:void(0)" class="toggle_extracost_confirmation">
            <?php echo JText::_("SR_TOTAL_EXTRA_COST_TAX_EXCL") ?>
        </a>
    </td>
    <td id="total-extra-cost" class="sr-align-right noleftborder">
        <?php echo $totalExtraCostTaxExcl->format() ?>
    </td>
</tr>

<tr class="nobordered">
    <td colspan="2" class="sr-align-right">
        <?php echo JText::_("SR_TOTAL_EXTRA_COST_TAX_AMOUNT") ?>
    </td>
    <td id="total-extra-cost" class="sr-align-right noleftborder">
       <?php echo $totalExtraCostTaxAmount->format() ?>
    </td>
</tr>

<?php endif; ?>
</tbody>
</table>